<template>

    <div class="container">
        <div className="mb-3 d-flex justify-content-between align-items-center">
            <h1>Series</h1>
            <add-serie></add-serie>
        </div>
        
    <table class="table table-hover">
        <thead>
            <tr>
            <th scope="col">id</th>
            <th scope="col">name</th>
            <th scope="col">date created</th>
            <th scope="col">date updated</th>
            </tr>
        </thead>
        <tbody>
            <tr class="table-active" v-for="serie in series" :key="serie.id">
                <th scope="row">{{serie.id}}</th>
                <td>{{serie.name}}</td>
                <td>{{serie.created_at}}</td>
                <td>{{serie.updated_at}}</td>
                <td>{{serie.updated_at}}</td>
                <td> <router-link :to="{ name: 'editserie', params: { id: serie.id }}">edit</router-link>  </td>
                <td> <button type="button" class="btn btn-danger btn-sm"  @click="serieDelete(serie.id)">delete</button> </td>
            </tr>
        </tbody>
    </table>
      
     
    </div>
</template>

<script>
    export default {
     
     data() {
         return {
             series:{}
         }
     },

        created()
        {
        axios.get('http://127.0.0.1:8000/series')
            .then(response => {
                this.series = response.data
            })
            .catch(error => {
                console.log(error)
                //this.errored = true
            });
          this.interval = setInterval(() => this.getSeries(), 1000);
        },

        methods: {
            serieDelete(id){
                axios.delete('http://127.0.0.1:8000/serie/delete/'+id)
                .then(response => {response,
                this.series = this.series.filter(c =>c.id !==id)
                })
                .catch(error => {
                     this.series = this.series
                    console.error("There was an error!", error);
                });
            },
            getSeries()
            {
                axios.get('http://127.0.0.1:8000/series')
                    .then(response => {
                    this.series = response.data
                })
                    .catch(error => {
                        console.log(error)
                        //this.errored = true
                    });
            }  
        },
        
    }
</script>
